Package co.nstant.in.cbor.model

## Enum SpecialType

- java.lang.Object
- - java.lang.Enum<SpecialType>
  - - co.nstant.in.cbor.model.SpecialType

- All Implemented Interfaces:
    `Serializable`, `Comparable<SpecialType>`

      public enum SpecialType
      extends Enum<SpecialType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BREAK` |
    `IEEE_754_DOUBLE_PRECISION_FLOAT` |
    `IEEE_754_HALF_PRECISION_FLOAT` |
    `IEEE_754_SINGLE_PRECISION_FLOAT` |
    `SIMPLE_VALUE` |
    `SIMPLE_VALUE_NEXT_BYTE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SpecialType` | `ofByte​(int b)` |
    `static SpecialType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SpecialType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIMPLE_VALUE

          public static final SpecialType SIMPLE_VALUE

    - #### SIMPLE_VALUE_NEXT_BYTE

          public static final SpecialType SIMPLE_VALUE_NEXT_BYTE

    - #### IEEE_754_HALF_PRECISION_FLOAT

          public static final SpecialType IEEE_754_HALF_PRECISION_FLOAT

    - #### IEEE_754_SINGLE_PRECISION_FLOAT

          public static final SpecialType IEEE_754_SINGLE_PRECISION_FLOAT

    - #### IEEE_754_DOUBLE_PRECISION_FLOAT

          public static final SpecialType IEEE_754_DOUBLE_PRECISION_FLOAT

    - #### BREAK

          public static final SpecialType BREAK

  - ### Method Detail

    - #### values

          public static SpecialType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpecialType c : SpecialType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpecialType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### ofByte

          public static SpecialType ofByte​(int b)
                                    throws CborException

      Throws:
        `CborException`